// this is an example
// how to implement a listBestFile
// executable.


#include "EdgReplicaManager/ReplicaManagerImpl.h"
#include "EdgReplicaManager/ReplicaManagerExceptions.h"
//#include "log4cpp/PropertyConfigurator.hh"
#include <iostream>

int main(int argc, char *argv[] ) {

    if( argc != 3 ) {
	std::cout << "Usage: " << argv[0] << " lfn  seHost " << std::endl;
	return -1;
    }

    /*
    const std::string initFileName = "config/log4cpp.properties";
    try {
	log4cpp::PropertyConfigurator::configure(initFileName);
    } catch(log4cpp::ConfigureFailure& f) {
	std::cout << "Log4cpp Configure Problem " << f.what() << std::endl;
	return -1;
    }
    */

    try {
    //     "http://lxshare0343.cern.ch:8080/edg-replica-optimization/services/edg-replica-optimization",
    //     "http://lxshare0344.cern.ch:8080/edg-replica-location/services/edg-local-replica-catalog",
    //     "http://lxshare0342.cern.ch:8080/edg-replica-metadata-catalog/services/edg-replica-metadata-catalog");

	std::string lfn = argv[1];
	std::string host = argv[2];

	EdgReplicaManager::ReplicaManagerImpl rm("wpsix");
	std::cout << rm.listBestFile(lfn, host) << std::endl;
    } catch (EdgReplicaManager::ReplicaManagerException &x) {
	std::cout << x.what() << std::endl;
	return -1;
    } catch (...) {
	std::cout << "unknown exception caught" << std::endl;
	return -1;
    }

    return 0;
}
